> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create download request

> Create download request



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /store/downloads
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /store/downloads:
    parameters: []
    post:
      tags:
        - Store
      summary: Create download request
      description: Create download request
      operationId: create-download-request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data_source:
                  description: >-
                    Records to export. `invoices` exports payout-eligible
                    `SellerPayoutInvoice` records; `payout_batches` exports
                    seller settlement `SellerPayoutBatch` records.
                  enum:
                    - customers
                    - orders
                    - shipments
                    - payments
                    - invoices
                    - payout_batches
                data_filters:
                  $ref: '#/components/schemas/DataFilterObject'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  content:
                    $ref: '#/components/schemas/DataDownload'
components:
  schemas:
    DataFilterObject:
      title: DataFilterObject
      type: object
      properties:
        condition:
          enum:
            - AND
            - OR
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ColumnBasedFilterRule'
              - $ref: '#/components/schemas/DataFilterNestedObject'
      x-tags:
        - Segments
    DataDownload:
      title: DataDownload
      type: object
      required:
        - job_id
        - status
        - name
        - job_type
        - data_source
        - data_filters
        - download
        - error_message
        - created_at
        - processed_at
      properties:
        job_id:
          type: string
        status:
          enum:
            - pending
            - ready
            - failed
        name:
          type: string
        job_type:
          description: Derived from `data_source` as `download_<data_source>`.
          enum:
            - download_orders
            - download_customers
            - download_shipments
            - download_payments
            - download_invoices
            - download_payout_batches
            - download_products
            - download_media
            - download_loyalty_members
            - download_loyalty-members
        data_source:
          description: >-
            Records exported by the job. `invoices` exports payout-eligible
            `SellerPayoutInvoice` records; `payout_batches` exports seller
            settlement `SellerPayoutBatch` records.
          enum:
            - orders
            - customers
            - shipments
            - payments
            - invoices
            - payout_batches
            - products
            - media
            - loyalty_members
            - loyalty-members
        data_filters:
          $ref: '#/components/schemas/DataFilterObject'
        download:
          type:
            - object
            - 'null'
          properties:
            url:
              type: string
            file_name:
              type: string
            file_type:
              type: string
          required:
            - url
            - file_name
            - file_type
        error_message:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        processed_at:
          type:
            - string
            - 'null'
          format: date-time
    ColumnBasedFilterRule:
      title: ColumnBasedFilterRule
      type: object
      properties:
        type:
          type: string
          enum:
            - data
            - attribute
        field:
          type: string
        operator:
          type: string
        value:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
      x-tags:
        - Segments
    DataFilterNestedObject:
      title: DataFilterNestedObject
      type: object
      properties:
        condition:
          enum:
            - AND
            - OR
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ColumnBasedFilterRule'
              - $ref: '#/components/schemas/DataFilterObject'
      x-tags:
        - Segments
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.